Eclipse Remote Application Platform

## org.eclipse.swt.widgets
Class Event

    java.lang.Object
      org.eclipse.swt.widgets.Event

    public class Event

extends java.lang.Object

Instances of this class provide a description of a particular event which occurred within SWT. The SWT untyped listener API uses these instances for all event dispatching.

Note: For a given event, only the fields which are appropriate will be filled in. The contents of the fields which are not used by the event are unspecified.

Since:
  1.0
See Also:
  `Listener`, `TypedEvent`

Field Summary
`int` `button` the button that was pressed or released; 1 for the first button, 2 for the second button, and 3 for the third button, etc.
`char` `character` depending on the event, the character represented by the key that was typed.
`int` `count` depending on the event type, the number of following paint events which are pending which may always be zero on some platforms or the number of lines or pages to scroll using the mouse wheel
`java.lang.Object` `data` a field for application use
`int` `detail` the event specific detail field, as defined by the detail constants in class `SWT`
`Display` `display` the display where the event occurred
`boolean` `doit` depending on the event, a flag indicating whether the operation should be allowed.
`int` `end` depending on the event, the range of text being modified.
`GC` `gc` the graphics context to use when painting that is configured to use the colors, font and damaged region of the control.
`int` `height` the height of the bounding rectangle of the region that requires painting
`int` `index` the index of the item where the event occurred
`Widget` `item` the item that the event occurred in (can be null)
`int` `keyCode` depending on the event, the key code of the key that was typed, as defined by the key code constants in class `SWT`.
`int` `start` depending on the event, the range of text being modified.
`int` `stateMask` depending on the event, the state of the keyboard modifier keys and mouse masks at the time the event was generated.
`java.lang.String` `text` depending on the event, the new text that will be inserted.
`int` `time` the time that the event occurred.
`int` `type` the type of event, as defined by the event type constants in class `SWT`
`Widget` `widget` the widget that issued the event
`int` `width` the width of the bounding rectangle of the region that requires painting
`int` `x` depending on the event type, the x offset of the bounding rectangle of the region that requires painting or the widget-relative, x coordinate of the pointer at the time the mouse button was pressed or released
`int` `y` depending on the event type, the y offset of the bounding rectangle of the region that requires painting or the widget-relative, y coordinate of the pointer at the time the mouse button was pressed or released

Constructor Summary
`Event()`

Method Summary
`Rectangle` `getBounds()` Gets the bounds.
`void` `setBounds(Rectangle rect)` Sets the bounds.
`java.lang.String` `toString()` Returns a string containing a concise, human-readable description of the receiver.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### display

    public Display display

  the display where the event occurred

### widget

    public Widget widget

  the widget that issued the event

### type

    public int type

  the type of event, as defined by the event type constants in class `SWT`

  See Also:
    `SWT`

### detail

    public int detail

  the event specific detail field, as defined by the detail constants in class `SWT`

  See Also:
    `SWT`

### item

    public Widget item

  the item that the event occurred in (can be null)

### index

    public int index

  the index of the item where the event occurred

### gc

    public GC gc

  the graphics context to use when painting that is configured to use the colors, font and damaged region of the control. It is valid only during the paint and must not be disposed

  Since:
    1.3

### x

    public int x

  depending on the event type, the x offset of the bounding rectangle of the region that requires painting or the widget-relative, x coordinate of the pointer at the time the mouse button was pressed or released

### y

    public int y

  depending on the event type, the y offset of the bounding rectangle of the region that requires painting or the widget-relative, y coordinate of the pointer at the time the mouse button was pressed or released

### width

    public int width

  the width of the bounding rectangle of the region that requires painting

### height

    public int height

  the height of the bounding rectangle of the region that requires painting

### count

    public int count

  depending on the event type, the number of following paint events which are pending which may always be zero on some platforms or the number of lines or pages to scroll using the mouse wheel

### time

    public int time

  the time that the event occurred. NOTE: This field is an unsigned integer and should be AND'ed with 0xFFFFFFFFL so that it can be treated as a signed long.

### button

    public int button

  the button that was pressed or released; 1 for the first button, 2 for the second button, and 3 for the third button, etc.

### character

    public char character

  depending on the event, the character represented by the key that was typed. This is the final character that results after all modifiers have been applied. For example, when the user types Ctrl+A, the character value is 0x01 (ASCII SOH). It is important that applications do not attempt to modify the character value based on a stateMask (such as SWT.CTRL) or the resulting character will not be correct.

### keyCode

    public int keyCode

  depending on the event, the key code of the key that was typed, as defined by the key code constants in class `SWT`. When the character field of the event is ambiguous, this field contains the unaffected value of the original character. For example, typing Ctrl+M or Enter both result in the character '\r' but the keyCode field will also contain '\r' when Enter was typed and 'm' when Ctrl+M was typed.

  See Also:
    `SWT`

### stateMask

    public int stateMask

  depending on the event, the state of the keyboard modifier keys and mouse masks at the time the event was generated.

  See Also:
    `SWT`

### start

    public int start

  depending on the event, the range of text being modified. Setting these fields has no effect.

### end

    public int end

  depending on the event, the range of text being modified. Setting these fields has no effect.

### text

    public java.lang.String text

  depending on the event, the new text that will be inserted. Setting this field will change the text that is about to be inserted or deleted.

### doit

    public boolean doit

  depending on the event, a flag indicating whether the operation should be allowed. Setting this field to false will cancel the operation.

### data

    public java.lang.Object data

  a field for application use

Constructor Detail

### Event

    public Event()

Method Detail

### getBounds

    public Rectangle getBounds()

  Gets the bounds.

  Returns:
    a rectangle that is the bounds.

### setBounds

    public void setBounds(Rectangle rect)

  Sets the bounds.

  Parameters:
    `rect` - the new rectangle

### toString

    public java.lang.String toString()

  Returns a string containing a concise, human-readable description of the receiver.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the event

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2014. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0